Delete a wallet attestation signer
Roles
Analytics Events
/v1/holder/certificates/wallet-attestation-signers/{certificateId}Deletes a wallet attestation signer. For managed signers, MATTR VII also removes the private key material it was holding on the customer's behalf.
Analytic events
- CREDENTIAL_HOLDER_WALLET_ATTESTATION_SIGNER_CERTIFICATE_DELETE_START
- CREDENTIAL_HOLDER_WALLET_ATTESTATION_SIGNER_CERTIFICATE_DELETE_SUCCESS
- CREDENTIAL_HOLDER_WALLET_ATTESTATION_SIGNER_CERTIFICATE_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the wallet attestation signer.
uuidResponse Body
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/holder/certificates/wallet-attestation-signers/782f1885-c7c2-4459-8426-b6d7c111b0b1"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update a wallet attestation signer PUT
Updates a wallet attestation signer by: - Uploading a signed certificate PEM that matches the signer's CSR (first-time upload for CSR-pending signers only). - Activating or deactivating the signer. Only signers with a valid PEM certificate can be activated. `certificatePem` is immutable after the first upload — subsequent PUT requests may only toggle `active`. ### **Analytic events** * CREDENTIAL_HOLDER_WALLET_ATTESTATION_SIGNER_CERTIFICATE_UPDATE_START * CREDENTIAL_HOLDER_WALLET_ATTESTATION_SIGNER_CERTIFICATE_UPDATE_SUCCESS * CREDENTIAL_HOLDER_WALLET_ATTESTATION_SIGNER_CERTIFICATE_UPDATE_FAIL
Create a verifier root CA certificate POST
Creates a verifier root CA certificate to be used as part of mDocs online verification workflows. - A maximum of three Verifier root CA certificates can be created per tenant. ### **Analytic events** * CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_CREATE_START * CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_CREATE_SUCCESS * CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_CREATE_FAIL